Encryption - various (Xenial & newer)

PPA description

Encryption PPA (gnutls28 3.7.3, ssl 1.1.1w, and more) for Xenial & newer.

*** Please always see https://launchpad.net/~savoury1 for general updates about this Launchpad site before contacting me or reporting any bugs! ***

*** Big thanks to all those who have donated to support this project, you are very directly helping to keep it alive! To all who have not donated: please do so if you can afford it, this project depends on donations. ***

If software at this site is useful to you then please consider a donation:

*** Donations: https://paypal.me/Savoury1 & https://ko-fi.com/Savoury1 ***
*** Also https://patreon.com/Savoury1 & https://liberapay.com/Savoury1 ***

==========================================================================
                        Encryption (Xenial & newer)
==========================================================================

argon2 (0~20190702), botan (2.19.3), cjose (0.6.1), fuse3 (3.12.0), gmp (6.3.0), gnutls28 (3.7.3), gsasl (2.2.0), http-parser (2.9.4), json-c (0.17), keepass2 (2.51.1), keepassxc (2.7.6), libcrypto++ (8.9.0), libevent (2.1.12-stable), libgcrypt20 (1.10.3), libgpg-error (1.47), libidn2 (2.3.4), libmaxminddb (1.5.2), libseccomp (2.5.3), libsodium (1.0.21~git20231130), libssh (0.10.5), libssh2 (1.10.0), libtasn1-6 (4.18.0), libunistring (1.0), m2crypto (0.38.0), mbedtls (2.28.7), minisign (0.11), nettle (3.7.3), ocserv (1.1.6), olm (3.2.16), openssl (1.1.1w), openvpn (2.4.12), pycryptodome (3.11.0), pyopenssl (21.0.0), pysodium (0.7.17), python-cryptography (3.3.2), qrencode (4.1.1), radcli (1.2.12), sshfs-fuse (3.7.1), tpm-udev (0.5), tpm2-tss (2.4.6), unbound (1.17.1), veracrypt (1.25.9), wxwidgets3.0 (3.0.5.1), zlib (1.2.13), zxcvbn-c (2.5)

Focal only: gnome-authenticator (3.32.2 depends pyfavicon & Python >= 3.7), pyfavicon (0.1.1), pyzbar (0.1.8), yoyo (7.3.2)

Xenial & Bionic: cyrus-sasl2 (2.1.27), json-c4 (0.13.1), libpng1.6, openconnect (8.05), opencryptoki, opensc (0.20.0), openvpn-systemd-resolved (1.3.0), p11-kit (0.23.20), paperkey (1.6), pcsc-lite (1.8.26), pysimplesoap, python-{boto,httplib2,imaplib2} (compat with new openssl), softhsm2 (2.5.0), volume-key (0.3.12)

Xenial only: autogen, botan1.10 (1.10.17), cryptsetup (1.7.5), ecryptfs-utils (111), nss (3.35), nss-pem (1.0.3), openssl1.0 (1.0.2n), pkcs11-helper (1.22), systemd (v229 patched for VeraCrypt crypttab support), trousers (0.3.14+fixed1)

==========================================================================

IMPORTANT NOTE for Focal and earlier: Upgrading to fuse3 can cause dpkg to attempt removal of many packages, rather than it just simply upgrading the old fuse to fuse3 (which then "provides" fuse anyhow). To rectify this for now until a possible different solution is found do the following command:

  sudo apt-get install fuse3

Note: VeraCrypt packages here are based on those at the PPA maintained by Unit 193 (https://launchpad.net/~unit193/+archive/ubuntu/encryption). The rebuilds here are against some distinct package versions (ie. backport of latest fuse3) but source is identical and packaging is thanks to Unit 193.

*** Install ***

Note for Xenial: A patched systemd 229 is here with a single cherrypicked commit (52028838) enabling a new tcrypt-veracrypt type in /etc/crypttab to allow auto-mounting of VeraCrypt volumes in the same manner as TrueCrypt.

Due the version string for the patched systemd 229 (including +veracrypt) it will supersede the default systemd in Xenial, so be sure you want this patch! Always remember: do a full system backup before such an upgrade.

*** Build ***

This PPA has build dependencies on:

  ppa:savoury1/build-tools
  ppa:savoury1/backports
  ppa:savoury1/python
  ppa:savoury1/gpg
  ppa:savoury1/graphics

Additionally, for Xenial & Bionic:

  ppa:savoury1/haskell-build
  ppa:savoury1/tex-2019

Additionally, for Xenial only:

  ppa:savoury1/toolchain
  ppa:savoury1/apt-xenial
  ppa:savoury1/perl-xenial

*** Credits ***

- Creators of TrueCrypt: the TrueCrypt Foundation

- Creators of VeraCrypt: Mounir Idrassi and the team at IDRIX

- Packaging of VeraCrypt: Unit 193
  https://launchpad.net/~unit193/+archive/ubuntu/encryption

Adding this PPA to your system

You can update your system with unsupported packages from this untrusted PPA by adding ppa:savoury1/encryption to your system's Software Sources. (Read about installing)

sudo add-apt-repository ppa:savoury1/encryption
sudo apt update
        
Technical details about this PPA

This PPA can be added to your system manually by copying the lines below and adding them to your system's software sources.

Display sources.list entries for:
deb https://ppa.launchpadcontent.net/savoury1/encryption/ubuntu YOUR_UBUNTU_VERSION_HERE main 
deb-src https://ppa.launchpadcontent.net/savoury1/encryption/ubuntu YOUR_UBUNTU_VERSION_HERE main 
Signing key:
4096R/E996735927E427A733BB653E374C7797FB006459 (What is this?)
Fingerprint:
E996735927E427A733BB653E374C7797FB006459

Dependencies:

For questions and bugs with software in this PPA please contact Rob Savoury.

PPA statistics

Activity
15 updates added during the past month.
View package details

Overview of published packages

175 of 208 results
Package Version Uploaded by
argon2 0~20190702+dfsg-4~22.04.sav0 Rob Savoury ()
argon2 0~20190702+dfsg-4~20.04.sav0 Rob Savoury ()
argon2 0~20190702+dfsg-4~18.04.sav0 Rob Savoury ()
argon2 0~20190702+dfsg-4~16.04.sav0 Rob Savoury ()
autogen 1:5.18.12-4~16.04.sav0 Rob Savoury ()
botan 2.19.3+dfsg-1~22.04.sav0 Rob Savoury ()
botan 2.19.3+dfsg-1~20.04.sav0 Rob Savoury ()
botan 2.19.3+dfsg-1~18.04.sav0 Rob Savoury ()
botan 2.19.3+dfsg-1~16.04.sav0 Rob Savoury ()
botan1.10 1.10.17-0.1~16.04.sav0 Rob Savoury ()
cjose 0.6.1+dfsg1-3~20.04.sav0 Rob Savoury ()
cjose 0.6.1+dfsg1-3~18.04.sav0 Rob Savoury ()
cjose 0.6.1+dfsg1-3~16.04.sav0 Rob Savoury ()
cryptsetup 2:1.7.5-1ubuntu1.1~16.04.sav0 Rob Savoury ()
cyrus-sasl2 2.1.27+dfsg-2ubuntu0.1~18.04.sav0 Rob Savoury ()
cyrus-sasl2 2.1.27+dfsg-2ubuntu0.1~16.04.sav0 Rob Savoury ()
ecryptfs-utils 111-0ubuntu5~16.04.sav0 Rob Savoury ()
fuse3 3.12.0-1~22.04.sav1 Rob Savoury ()
fuse3 3.12.0-1~20.04.sav0 Rob Savoury ()
fuse3 3.12.0-1~18.04.sav0 Rob Savoury ()
fuse3 3.12.0-1~16.04.sav0 Rob Savoury ()
gmp 2:6.3.0+dfsg-2ubuntu4~22.04.sav0 Rob Savoury ()
gmp 2:6.3.0+dfsg-2ubuntu4~20.04.sav0 Rob Savoury ()
gmp 2:6.3.0+dfsg-2ubuntu4~18.04.sav0 Rob Savoury ()
gmp 2:6.3.0+dfsg-2ubuntu4~16.04.sav0 Rob Savoury ()
gnome-authenticator 3.32.2+dfsg1-4~20.04.sav0 Rob Savoury ()
gnutls28 3.7.3-4ubuntu1.4~20.04.sav0 Rob Savoury ()
gnutls28 3.7.3-4ubuntu1.4~18.04.sav0 Rob Savoury ()
gnutls28 3.7.3-4ubuntu1.4~16.04.sav0 Rob Savoury ()
gsasl 2.2.0-1ubuntu1~22.04.sav1 Rob Savoury ()
gsasl 2.2.0-1ubuntu1~20.04.sav0 Rob Savoury ()
gsasl 2.2.0-1ubuntu1~18.04.sav0 Rob Savoury ()
gsasl 2.2.0-1ubuntu1~16.04.sav0 Rob Savoury ()
http-parser 2.9.4-6~22.04.sav0 Rob Savoury ()
http-parser 2.9.4-6~20.04.sav0 Rob Savoury ()
http-parser 2.9.4-6~18.04.sav0 Rob Savoury ()
http-parser 2.9.4-6~16.04.sav0 Rob Savoury ()
json-c 0.17-1~22.04.sav0 Rob Savoury ()
json-c 0.17-1~20.04.sav0 Rob Savoury ()
json-c 0.17-1~18.04.sav0 Rob Savoury ()
json-c 0.17-1~16.04.sav0 Rob Savoury ()
json-c4 0.13.1+dfsg-7ubuntu0.3~18.04.sav0 Rob Savoury ()
json-c4 0.13.1+dfsg-7ubuntu0.3~16.04.sav0 Rob Savoury ()
keepass2 2.51.1+dfsg-0ubuntu1~22.04.sav0 Rob Savoury ()
keepass2 2.51.1+dfsg-0ubuntu1~20.04.sav0 Rob Savoury ()
keepass2 2.51.1+dfsg-0ubuntu1~18.04.sav0 Rob Savoury ()
keepass2 2.51.1+dfsg-0ubuntu1~16.04.sav0 Rob Savoury ()
keepassxc 2.7.6+dfsg.1-0ubuntu1~22.04.sav0 Rob Savoury ()
keepassxc 2.7.6+dfsg.1-0ubuntu1~20.04.sav0 Rob Savoury ()
keepassxc 2.7.6+dfsg.1-0ubuntu1~18.04.sav0 Rob Savoury ()
keepassxc 2.7.6+dfsg.1-0ubuntu1~16.04.sav0 Rob Savoury ()
libcrypto++ 8.9.0-1~22.04.sav0 Rob Savoury ()
libcrypto++ 8.9.0-1~20.04.sav0 Rob Savoury ()
libcrypto++ 8.9.0-1~18.04.sav0 Rob Savoury ()
libcrypto++ 8.9.0-1~16.04.sav0 Rob Savoury ()
libevent 2.1.12-stable-1~20.04.sav0 Rob Savoury ()
libevent 2.1.12-stable-1~18.04.sav0 Rob Savoury ()
libevent 2.1.12-stable-1~16.04.sav0 Rob Savoury ()
libgcrypt20 1.10.3-2ubuntu0~22.04.sav0 Rob Savoury ()
libgcrypt20 1.10.3-2ubuntu0~20.04.sav0 Rob Savoury ()
libgcrypt20 1.10.3-2ubuntu0~18.04.sav0 Rob Savoury ()
libgcrypt20 1.10.3-2ubuntu0~16.04.sav0 Rob Savoury ()
libgpg-error 1.47-0ubuntu1~22.04.sav0 Rob Savoury ()
libgpg-error 1.47-0ubuntu1~20.04.sav0 Rob Savoury ()
libgpg-error 1.47-0ubuntu1~18.04.sav0 Rob Savoury ()
libgpg-error 1.47-0ubuntu1~16.04.sav0 Rob Savoury ()
libidn2 2.3.4-1~22.04.sav0 Rob Savoury ()
libidn2 2.3.4-1~20.04.sav0 Rob Savoury ()
libidn2 2.3.4-1~18.04.sav0 Rob Savoury ()
libidn2 2.3.4-1~16.04.sav0 Rob Savoury ()
libmaxminddb 1.5.2-1~20.04.sav0 Rob Savoury ()
libmaxminddb 1.5.2-1~18.04.sav0 Rob Savoury ()
libmaxminddb 1.5.2-1~16.04.sav0 Rob Savoury ()
libpng1.6 1.6.43-1~18.04.sav0 Rob Savoury ()
libpng1.6 1.6.43-1~16.04.sav0 Rob Savoury ()
175 of 208 results

Latest updates

  • unbound 22 hours ago
    Successfully built
  • unbound 22 hours ago
    Successfully built
  • unbound 22 hours ago
    Successfully built
  • openssl 25 hours ago
    Successfully built
  • openssl 25 hours ago
    Successfully built